/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

$("#otros").change(function () {
    var concepto = $(this).val();
    buscarOtrosIngresos(concepto);
});

$("#buscarPorFecha").click(function () {
    var fA = $("#fA").val();
    var fB = $("#fB").val();
    window.open("/ControlCeepam/web/app_dev.php/buscar-pagos" + "?fA=" + fA + "&fB=" + fB, "_blank")
});
$("#buscarPorFechaExportar").click(function () {
    var fA = $("#fA").val();
    var fB = $("#fB").val();
    window.open("/ControlCeepam/web/app_dev.php/buscar-pagos-exportar" + "?fA=" + fA + "&fB=" + fB, "_blank")
});

function buscarOtrosIngresos(concepto) {
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/otros-ingresos',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {c: concepto},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("contenedor").innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> buscando...</strong>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("contenedor").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("contenedor").innerHTML = "";
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}